GCLOUD_DNS_RECORD-SETS_CHANGES_LIST(1)

NAME

gcloud dns record-sets changes list - view the list of changes that have been made to your record-sets

SYNOPSIS

gcloud dns record-sets changes list --zone=ZONE, -z ZONE [--sort-order=SORT_ORDER] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command displays the list of changes that have been made to your record-sets.

REQUIRED FLAGS

    --zone=ZONE, -z ZONE
        Name of the managed-zone whose record-sets you want to manage.

FLAGS

    --sort-order=SORT_ORDER
        Sort order for listing. SORT_ORDER must be one of: ascending, descending.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To see the list of changes, run:
    $ gcloud dns record-sets changes list
To see the list of first 10 changes, run:
    $ gcloud dns record-sets changes list --limit=10